Subject: [PATCH] gnu: Add clasp.

From: Aleksej <[email-masked]>
Date: Thu, 15 Aug 2024 14:12:58 +0300

Hi! I've applied your patch, and it seems to have some problems.

1) We already have the package with name "clasp", consider renaming it 
to something like "clasp-cl".

2) The license of clasp should be "lgpl2.1+", not "lgpl2.1".

3) After renaming run "guix lint" on the package, it has quite a lot of 
warnings.

4) I see you use gnu-build-system, and modify it a lot to use ninja. We 
have meson-build-system in GNU Guix, shouldn't it be used instead?

Also I've looked at clasp git repo, they have package definition for GNU 
Guix, maybe you should check it out!

-- 
Best regards,
Lesik Edelweiss